"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RoomIdValidator = exports.UnlinkValidator = exports.QueryLinkValidator = exports.LinkValidator = void 0;
const matrix_appservice_bridge_1 = require("matrix-appservice-bridge");
const matrixRoomIdValidation = {
    type: "string",
    pattern: "^!.*:.*$"
};
const validationProperties = {
    matrix_room_id: matrixRoomIdValidation,
    remote_room_channel: {
        type: "string",
        pattern: "^([#+&]|(![A-Z0-9]{5}))[^\\s:,]+$"
    },
    remote_room_server: {
        type: "string",
        pattern: "^[a-z\\.0-9:-]+$"
    },
    op_nick: {
        type: "string"
    },
    key: {
        type: "string"
    },
    user_id: {
        type: "string"
    }
};
exports.LinkValidator = new matrix_appservice_bridge_1.ConfigValidator({
    type: "object",
    properties: validationProperties,
    required: [
        "matrix_room_id",
        "remote_room_channel",
        "remote_room_server",
        "op_nick",
        "user_id"
    ]
});
exports.QueryLinkValidator = new matrix_appservice_bridge_1.ConfigValidator({
    type: "object",
    properties: validationProperties,
    required: [
        "remote_room_channel",
        "remote_room_server",
        "key"
    ]
});
exports.UnlinkValidator = new matrix_appservice_bridge_1.ConfigValidator({
    type: "object",
    properties: validationProperties,
    required: [
        "matrix_room_id",
        "remote_room_channel",
        "remote_room_server",
        "user_id"
    ]
});
exports.RoomIdValidator = new matrix_appservice_bridge_1.ConfigValidator({
    type: "object",
    properties: {
        "matrix_room_id": matrixRoomIdValidation,
    },
    required: [
        "matrix_room_id",
    ],
});
//# sourceMappingURL=RouteSchema.js.map